#
# spec file for package SDL_gfx
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           SDL_gfx
BuildRequires:  libSDL-devel
Url:            http://www.ferzkopp.net/Software/SDL_gfx-2.0/
Summary:        SDL Graphics Routines for Primitives and Other Support Functions
Version:        2.0.22
Release:        1
Source0:        %{name}-%{version}.tar.gz
Source1:        baselibs.conf
License:        LGPLv2.1+
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces. The current components of the SDL_gfx library are:

- Graphic Primitives (SDL_gfxPrimitives.h)

- Rotozoomer (SDL_rotozoom.h)

- Framerate control (SDL_framerate.h)

-  MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. It is
written in plain C and can be used in C++ code.

%package -n libSDL_gfx13
Summary:        SDL Graphics Routines for Primitives and Other Support Functions
Group:          System/Libraries
License:        LGPLv2.1+
Provides:       SDL_gfx = %{version}
Obsoletes:      SDL_gfx <= %{version}

%description -n libSDL_gfx13
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces. The current components of the SDL_gfx library are:

- Graphic Primitives (SDL_gfxPrimitives.h)

- Rotozoomer (SDL_rotozoom.h)

- Framerate control (SDL_framerate.h)

-  MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. It is
written in plain C and can be used in C++ code.

%package -n libSDL_gfx-devel
License:        LGPLv2.1+
Summary:        Libraries, includes and more to develop SDL_gfx applications
Group:          Development/Libraries/C and C++
Requires:       libSDL_gfx13 = %{version} libSDL-devel pkgconfig
Provides:       SDL_gfx-devel = %{version}
Obsoletes:      SDL_gfx-devel <= %{version}

%description -n libSDL_gfx-devel
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces. The current components of the SDL_gfx library are:

- Graphic Primitives (SDL_gfxPrimitves.h)

- Rotozoomer (SDL_rotozoom.h)

- Framerate control (SDL_framerate.h)

-  MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. It is
written in plain C and can be used in C++ code.

%prep
%setup -q

%build
%configure --disable-static --with-pic --disable-mmx
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post -n libSDL_gfx13 -p /sbin/ldconfig

%postun -n libSDL_gfx13 -p /sbin/ldconfig

%files -n libSDL_gfx13
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog LICENSE NEWS README
%{_libdir}/lib*.so.*

%files -n libSDL_gfx-devel
%defattr(-,root,root)
%{_includedir}/SDL/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/SDL_gfx.pc

%changelog
